services:
  sync:
    image: dokku/wait
    links:
      - auth
      - consul
    command:
      "-c auth:9497,consul:8500"
  data:
    image: xivoxc/xivo-auth-tests-data
    volumes:
      - "/data/"
    command: "sh -c 'while true; do sleep 10; done'"
  auth:
    image: xivoxc/xivo-auth-tests
    ports:
      - "9497:9497"
    volumes_from:
      - data
    volumes:  # delete-on-docker-machine
      - "../../..:/usr/src/xivo-auth"  # delete-on-docker-machine
    links:
      - "consul"
    command: "xivo-auth -u www-data -c /data/no_rabbitmq/etc/xivo-auth/config.yml"
  consul:
    image: consul:0.7.1
    expose:
      - "8500"
    volumes_from:
      - data
    command: "agent -config-dir /data/_common/etc/consul/"
networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: 172.16.94.80/28